<template>
    <div class="mw-diagram-panel">
        <div class="mw-diagram-panel-title">{{title}}</div>
        <div class="mw-diagram-panel-content">
            <table>
                <tbody>
                    <tr v-for="(item, index) in list" :key="'first'+index">
                        <td class="item-label">{{item.label}}</td>
                        <td class="item-value">{{item.value}}{{item.unit}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>

<script>
export default {
    props: {
        title: {
            type: String,
            default: "齿轮箱（默认）"
        },
        list: {
            type: Array,
            default() {
                return [
                    {
                        label: '当前转距：',
                        value: 280,
                        unit: "kN·m",
                    },
                    {
                        label: '受试电机转速：',
                        value: 2,
                        unit: "r/min",
                    },
                    {
                        label: '测功电机转速：',
                        value: 100,
                        unit: "r/min",
                    }
                ]
            }
        }
    },
}
</script>

<style scoped>
.mw-diagram-panel {
    position: absolute;
	z-index: 10;
	padding: 8px;
	border: 1px solid #5d69cd;
	background-color: #2c3377;
	border-radius: 8px;
	box-shadow: 4px 6px 55px 2px rgba(61, 94, 220, 0.8);
    min-width: 120px;
}
.mw-diagram-panel-title {
    text-align: center;
    color: #ffff13;
    font-size: 14px;
}
.mw-diagram-panel-content table {
    font-size: 12px;
}
.mw-diagram-panel-content table td {
    padding: 2px 0;
}
.mw-diagram-panel-content .item-label{
    text-align: right;
}
.mw-diagram-panel-content .item-value {
    padding-right: 8px;
}
</style>